Client Login
curl --request POST \
--url https://test-api-kore.kravata.co/api/v1/client/token \
--header 'Content-Type: application/json' \
--data '
{
"apiKey": "{{api_key}}",
"secretKey": "{{secret_key}}"
}
'import requests
url = "https://test-api-kore.kravata.co/api/v1/client/token"
payload = {
"apiKey": "{{api_key}}",
"secretKey": "{{secret_key}}"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({apiKey: '{{api_key}}', secretKey: '{{secret_key}}'})
};
fetch('https://test-api-kore.kravata.co/api/v1/client/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authentication
Client Login
Obtains a temporary access token using the apiKey and secretKey issued by Kravata during onboarding.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| apiKey | string | Yes | Your API key. |
| secretKey | string | Yes | Your secret key. |
Response
| Field | Description |
|---|---|
| accessToken | Token to send as Authorization: Bearer <accessToken> in every other request. |
| expiresIn | Validity of the token, in seconds. When it expires, call this endpoint again. |
The Postman test script stores the token in the access_token collection variable automatically.
Production
In production, call https://partners-api.kravata.co/api/v1/client/token presenting your mTLS certificate:
curl -X POST https://partners-api.kravata.co/api/v1/client/token \
--cert client.crt --key client.key \
-H "Content-Type: application/json" \
-d '{"apiKey": "<apiKey>", "secretKey": "<secretKey>"}'
Request the certificate (client.crt) and private key (client.key) from your Kravata point of contact.
POST
/
api
/
v1
/
client
/
token
Client Login
curl --request POST \
--url https://test-api-kore.kravata.co/api/v1/client/token \
--header 'Content-Type: application/json' \
--data '
{
"apiKey": "{{api_key}}",
"secretKey": "{{secret_key}}"
}
'import requests
url = "https://test-api-kore.kravata.co/api/v1/client/token"
payload = {
"apiKey": "{{api_key}}",
"secretKey": "{{secret_key}}"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({apiKey: '{{api_key}}', secretKey: '{{secret_key}}'})
};
fetch('https://test-api-kore.kravata.co/api/v1/client/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
